Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki
Class Issuer

    java.lang.Object
      |
      +--spki.BaseObj
            |
            +--spki.Issuer

public class Issuer
extends BaseObj

SPKI Issuer class.

Formal definitions:

     <issuer>:: "(" "issuer" <principal> ")" ;

Version:
  $Id: Issuer.java,v 1.11 2002/06/25 17:28:33 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>, adapted from SPKI.SPKIIssuer by Per Harald Myrvang <perm@pasta.cs.uit.no>
See Also:
  `Principal`

Field Summary
`private static String` | `__ME` This class's full name.
`private Principal` | `principal` The issuer's principal.
`static String` | `SEXP_NAME` This class S-Expression type name, used by toSExpression() and other methods.

Fields inherited from class spki.BaseObj
`__ME, cache_sexp, cached_sexp, DEFAULT_HASH_ALG, locked, SEXP_NAME`

Constructor Summary
`protected` | `Issuer()` Don't use me!
`` | `Issuer(Principal principal)` Create an immutable Issuer object from a principal.
`` | `Issuer(SExpression sexp)` Create an immutable Issuer object from an S-Expression.

Method Summary
`Principal` | `getPrincipal()` Get the issuer's principal.
`SExpression` | `toSExpression()` Create an immutable Issuer object from a hash of a public key.

Methods inherited from class spki.BaseObj
`disableSExpressionCaching, enableSExpressionCaching, extractHashAlgId, getCachedSExpression, isLocked, isSListOfType, lock, providerToSPKI, setCachedSExpression, spkiToProvider, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### __ME

    private static final String __ME

  This class's full name.

### SEXP_NAME

    public static final String SEXP_NAME

  This class S-Expression type name, used by toSExpression() and other methods.
  See Also:
    `toSExpression()`

### principal

    private Principal principal

  The issuer's principal.

Constructor Detail

### Issuer

    protected Issuer()

  Don't use me!
  See Also:
    `Issuer(SExpression)`, `Issuer(spki.interfaces.Principal)`

### Issuer

    public Issuer(SExpression sexp)
           throws ParseException,
                  SPKIException

  Create an immutable Issuer object from an S-Expression.
  See Also:
    `BaseObj.BaseObj(SExpression)`

### Issuer

    public Issuer(Principal principal)
           throws SPKIException

  Create an immutable Issuer object from a principal.
  Parameters:
    `principal` - the issuer's principcal.
  Throws:
    SPKIException - if something went wrong.

Method Detail

### toSExpression

    public SExpression toSExpression()
                              throws SPKIException

  Create an immutable Issuer object from a hash of a public key.
  Overrides:
    toSExpression in class BaseObj
  Parameters:
    `keyhash` - the issuer's hash of public-key.
  Throws:
    SPKIException - if something went wrong.

### getPrincipal

    public Principal getPrincipal()

  Get the issuer's principal.
  Returns:
    issuer's Principal object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD